Package org.gradle.jvm.platform

# Interface JavaPlatform

All Superinterfaces:
  `Named`, `Platform`

@Incubating public interface JavaPlatform extends Platform
Defines and configures a Java SE runtime environment, consisting of a JVM runtime and a set of class libraries.

     plugins {
       id "jvm-component"
       id "java-lang"
     }

     model {
       components {
         myLib(JvmLibrarySpec) {
           targetPlatform "java6"
         }
       }
     }

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`JavaVersion`
`getTargetCompatibility()`
`void`
`setTargetCompatibility(JavaVersion targetCompatibility)`

### Methods inherited from interface org.gradle.platform.base.Platform

`getDisplayName, getName`

## Method Details

### getTargetCompatibility

@Internal JavaVersion getTargetCompatibility()

### setTargetCompatibility

void setTargetCompatibility(JavaVersion targetCompatibility)